Apple iPhone and iPod touch Safari WebKit 'alert()' Function Remote Denial of Service Vulnerability

Apple iPhone and iPod touch are prone to a remote denial-of-service vulnerability that occurs in the WebKit library used by the Safari browser.

Remote attackers can exploit this issue to crash the affected browser installed on the devices, denying service to legitimate users.

The following devices and corresponding firmware are affected:

iPhone 1.1.4 and 2.0
iPod touch 1.1.4 and 2.0


 

Privacy Statement
Copyright 2010, SecurityFocus